* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;

}
::-webkit-scrollbar{
    display: none;
}

body,
html {
    width: 100%;
    height: 100%;
    font-family: 'Courier New', Courier, monospace;
    background-image: url('https://w0.peakpx.com/wallpaper/816/391/HD-wallpaper-wooden-texture-brown-wood-boards-wood-material.jpg');
    display: flex;
    align-items: center;
    flex-direction: column;
}

header {
    width: 100%;
    height: 90px;
    background-color: rgba(0, 0, 0, 0.662);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    border-bottom: 5px solid rgb(88, 86, 86);
}

main {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.todoinput {
    width: 500px;
    height: 400px;
    background-color: rgba(125, 113, 113, 0.68);
    border-radius: 10px;
    margin-top: 30px;
    margin-bottom: 10px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    padding: 20px;
    gap: 20px;
    color: white;
    box-shadow: 10px 20px rgba(0, 0, 0, 0.838);
}

.todoinput input ,textarea{
    width: 90%;
    min-width: 90%;
    max-width: 90%;
    height: 50px;
    min-height: 50px;
    outline: none;
    border: none;
    border-radius: 10px;
    padding: 2px 10px;
    /* text-align: center; */
    font-size: 1rem;
}
.todoinput textarea {
    height: 100px;
    resize: none;
}

.taskbtn {
    width: 70%;
    display: flex;
    justify-content: space-evenly;
}

.taskbtn button {
    width: 30%;
    height: 30px;
    border-radius: 10px;
    color: white;
    cursor: pointer;
    border: none;
    font-weight: bolder;
    transition: 0.2s ease-in-out;
}

.taskbtn button:active {
    transform: scale(0.95);
}

.add {
    background-color: rgba(0, 128, 0, 0.708);
}

.clear {
    background-color: rgba(255, 0, 0, 0.591);
}

section {
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-bottom: 60px;
}

.todo {
    width: 600px;
    border-radius: 10px;
    margin-top: 20px;
    background-color: rgba(70, 67, 67, 0.594);
    color: white;
    padding: 0 30px;
    box-shadow: 5px 5px 5px 5px rgba(42, 29, 29, 0.185);
    border: 1px solid;
    display: flex;
    flex-direction: column;
    gap: 10px;
    transition: 0.5s ease-in-out;
    position: relative;
    overflow: hidden;
}

.todo:hover {
    transform: scale(1.02);
    box-shadow: 5px 10px 10px rgba(0, 0, 0, 0.87);
    background-color: rgba(99, 96, 96, 0.594);
}

.todo h1 {
    border-bottom: 1px solid #000000;
    margin-top: 50px;
}

.todo p {
    font-size: 1.5rem;
    padding: 10px 0;
}

.icons {
    width: 100%;
    display: flex;
    justify-content: end;
    gap: 10px;
    background-color: rgba(28, 28, 28, 0.826);
    position: absolute;
    left: 0px;
    top: 0;
    padding: 5px;

}

.icons i {
    font-size: 1.5rem;

}

.icons i:hover {
    transform: scale(1.1);
    transition: 0.3s ease-in-out;
}

.datetime {
    padding-top: 5px;
    font-size: 12px;
}
#update,
#cancel {
    display: none;
}

.range{
    width: 90%;
    height: 20px;
    background-color: black;
    border-radius: 10px;
    overflow: hidden;
    display: flex;
    justify-content: start;
    border: 1px solid;

}
.fill{
    width: 0%;
    background-image: linear-gradient(to bottom right, green, red);
    opacity: 0.8;
    border-radius: 10px;
    height: 100%;
}
.check{
    height: 20px;
    width: 20px;
    margin-bottom: 10px;
}

.hide {
    display: none;
}

@media (max-width:850px) {
    header {
        height: 60px;
    }

    .todoinput {
        width: 90%;

    }
    .todoinput input, textarea {
        width: 100%;
        min-width: 100%;
        max-width: 100%;
    }

    .todo {
        width: 90%;
        padding: 2px 10px;
    }

    h1 {
        font-size: 1.5rem;
    }

    .datetime {
        font-size: 1rem;
    }
}